﻿<Graph ClassName="PCProdInventoryAnswer" Source="#CDATA" IsNew="True" FileType="NewDac">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;
using PX.Data.ReferentialIntegrity.Attributes;
using PX.Objects.IN;

namespace ReqQtyCalculator
{
	[Serializable]
	[PXCacheName("PCProdInventoryAnswer")]
	public class PCProdInventoryAnswer : IBqlTable
	{
		#region Keys
		public new class PK : PrimaryKeyOf<PCProdInventoryAnswer>.By<inventoryID, prodCalcID>
		{
			public static PCProdInventoryAnswer Find(PXGraph graph, int? inventoryID, string prodCalcID) => FindBy(graph, inventoryID, prodCalcID);
		}

		#endregion

		#region InventoryID
		[PXDBInt(IsKey = true)]
		[PXDBDefault(typeof(InventoryItem.inventoryID))]
		[PXParent(typeof(Select<InventoryItem, Where<InventoryItem.inventoryID, Equal<Current<inventoryID>>>>))]
		[PXUIField(DisplayName = "Inventory ID")]
		public virtual int? InventoryID { get; set; }
		public abstract class inventoryID : PX.Data.BQL.BqlInt.Field<inventoryID> { }
		#endregion

		#region ProdCalcID
		[PXDBString(1, IsKey = true, IsUnicode = true, InputMask = ">CCCCCCCCCC")]
		[PXUIField(DisplayName = "Attribute ID")]
		public virtual string ProdCalcID { get; set; }
		public abstract class prodCalcID : PX.Data.BQL.BqlString.Field<prodCalcID> { }
		#endregion

		#region Descr
		[PXString()]
		[PXUIField(DisplayName = "Description")]
		public virtual string Descr { get; set; }
		public abstract class descr : PX.Data.BQL.BqlString.Field<descr> { }
		#endregion

		#region Value
		[PXDBDecimal(4)]
		[PXUIField(DisplayName = "Value")]
		[PXDefault(TypeCode.Decimal, "0.0000")]
		public virtual Decimal? Value { get; set; }
		public abstract class value : PX.Data.BQL.BqlDecimal.Field<value> { }
		#endregion

		#region IsActive
		[PXDBBool()]
		[PXDefault(true)]
		[PXUIField(DisplayName = "Active")]
		public virtual bool? IsActive { get; set; }
		public abstract class isActive : PX.Data.BQL.BqlBool.Field<isActive> { }
		#endregion

		#region SpecialValue
		[PXDBString(2, IsFixed = true)]
		[PXUIField(DisplayName = "Special Value")]
		[PCAttribute.PCAttributeSpecialValue.List]
		[PXDefault(PCAttribute.PCAttributeSpecialValue.None)]
		public virtual string SpecialValue { get; set; }
		public abstract class specialValue : PX.Data.BQL.BqlString.Field<specialValue> { }
		#endregion

		#region Tstamp
		[PXDBTimestamp()]
		[PXUIField(DisplayName = "Tstamp")]
		public virtual byte[] Tstamp { get; set; }
		public abstract class tstamp : PX.Data.BQL.BqlByteArray.Field<tstamp> { }
		#endregion

		#region CreatedByID
		[PXDBCreatedByID()]
		public virtual Guid? CreatedByID { get; set; }
		public abstract class createdByID : PX.Data.BQL.BqlGuid.Field<createdByID> { }
		#endregion

		#region CreatedByScreenID
		[PXDBCreatedByScreenID()]
		public virtual string CreatedByScreenID { get; set; }
		public abstract class createdByScreenID : PX.Data.BQL.BqlString.Field<createdByScreenID> { }
		#endregion

		#region CreatedDateTime
		[PXDBCreatedDateTime()]
		public virtual DateTime? CreatedDateTime { get; set; }
		public abstract class createdDateTime : PX.Data.BQL.BqlDateTime.Field<createdDateTime> { }
		#endregion

		#region LastModifiedByID
		[PXDBLastModifiedByID()]
		public virtual Guid? LastModifiedByID { get; set; }
		public abstract class lastModifiedByID : PX.Data.BQL.BqlGuid.Field<lastModifiedByID> { }
		#endregion

		#region LastModifiedByScreenID
		[PXDBLastModifiedByScreenID()]
		public virtual string LastModifiedByScreenID { get; set; }
		public abstract class lastModifiedByScreenID : PX.Data.BQL.BqlString.Field<lastModifiedByScreenID> { }
		#endregion

		#region LastModifiedDateTime
		[PXDBLastModifiedDateTime()]
		public virtual DateTime? LastModifiedDateTime { get; set; }
		public abstract class lastModifiedDateTime : PX.Data.BQL.BqlDateTime.Field<lastModifiedDateTime> { }
		#endregion
	}
}]]></CDATA>
</Graph>